import { TemplateRef } from '@angular/core';
import { Position } from '@mintplayer/ng-bootstrap';
import { BehaviorSubject, Observable } from 'rxjs';
import * as i0 from "@angular/core";
export declare class BsPopoverComponent {
    constructor(content: TemplateRef<any>);
    position$: BehaviorSubject<Position>;
    get position(): Position;
    set position(value: Position);
    isVisible$: BehaviorSubject<boolean>;
    get isVisible(): boolean;
    set isVisible(value: boolean);
    marginClass$: Observable<string>;
    positionClass$: Observable<string>;
    template: TemplateRef<any>;
    positionRelative: boolean;
    static ɵfac: i0.ɵɵFactoryDeclaration<BsPopoverComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<BsPopoverComponent, "bs-popover", never, { "position": "position"; "isVisible": "isVisible"; }, {}, never, never, false, never>;
}
